export declare const svcompletion_grammar: {
    Main: {
        scopeName: string;
        patterns: {
            include: string;
        }[];
    };
    AllAllow: {
        patterns: {
            include: string;
        }[];
    };
    AssignmentExpression: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    AssignmentPattern: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    AttributeInstance: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    AttributeInstanceBody: {
        scopeName: string;
        patterns: ({
            match: any;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        })[];
    };
    BaseGrammar: {
        patterns: {
            include: string;
        }[];
    };
    BeginEndBlock: {
        patterns: ({
            match: any;
            tokens: string[];
            pushScopes: string[];
            popScopes?: undefined;
        } | {
            match: any;
            tokens: string[];
            popScopes: string[];
            pushScopes?: undefined;
        })[];
    };
    CaseStatement: {
        patterns: ({
            match: any;
            tokens: string[];
            pushScopes: string[];
            popScopes?: undefined;
        } | {
            match: any;
            tokens: string[];
            popScopes: string[];
            pushScopes?: undefined;
        })[];
    };
    CommaOperator: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    Comment: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    CompletionItems: {
        patterns: {
            include: string;
        }[];
    };
    ContinuousBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    ContinuousBlockBody: {
        scopeName: string;
        patterns: ({
            match: any;
            tokens: string;
            pop: string;
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    Dimension: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    GenerateBlock: {
        patterns: ({
            match: any;
            tokens: string[];
            pushScopes: string[];
            popScopes?: undefined;
        } | {
            match: any;
            tokens: string[];
            popScopes: string[];
            pushScopes?: undefined;
        })[];
    };
    EnumDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    EnumListBody: {
        scopeName: string;
        patterns: ({
            match: any;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    ExportDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    match: any;
                    tokens: string[];
                    pop?: undefined;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    ForkJoinBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    GeneralBracesBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    GeneralParanthesesBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    Identifier: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    IgnoreBlocksStatements: {
        patterns: {
            include: string;
        }[];
    };
    IgnoreCheckerDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreClassDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreCoverGroupDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreDefparamStatement: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreExternConstraintDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: {
                        scopeName: string;
                        patterns: ({
                            match: any;
                            tokens: string[];
                            pop: string;
                            include?: undefined;
                        } | {
                            include: string;
                            match?: undefined;
                            tokens?: undefined;
                            pop?: undefined;
                        })[];
                    };
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreLetStatement: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnorePropertyDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreSequenceDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreSpecifyBlock: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreSpecparamDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    ImportDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    Macro: {
        patterns: ({
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop?: undefined;
                    include?: undefined;
                } | {
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            saveState?: undefined;
            restoreState?: undefined;
            deleteState?: undefined;
        } | {
            match: any;
            tokens: string[];
            saveState: boolean;
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            restoreState?: undefined;
            deleteState?: undefined;
        } | {
            match: any;
            tokens: string[];
            restoreState: boolean;
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            saveState?: undefined;
            deleteState?: undefined;
        } | {
            match: any;
            tokens: string[];
            restoreState: boolean;
            push?: undefined;
            saveState?: undefined;
            deleteState?: undefined;
        } | {
            match: any;
            tokens: string[];
            deleteState: boolean;
            push?: undefined;
            saveState?: undefined;
            restoreState?: undefined;
        } | {
            match: any;
            tokens: string[];
            push?: undefined;
            saveState?: undefined;
            restoreState?: undefined;
            deleteState?: undefined;
        })[];
    };
    ModPortDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    ParameterDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    ParameterDeclarationBody: {
        scopeName: string;
        patterns: ({
            match: any;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    ParameterPortList: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    ParameterPortListBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    PortDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    PortDeclarationBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    PortList: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    PortListBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    QuotedString: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                } | {
                    match: any;
                    tokens: string[];
                    pop?: undefined;
                })[];
            };
        }[];
    };
    RandSequenceBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    RangeOperator: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    RoutineDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    StructUnionDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    StructUnionMemberListBody: {
        scopeName: string;
        patterns: ({
            match: any;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            match: any;
            tokens: string[];
            pop?: undefined;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    SvContainer: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    SpecialTokens: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    SvNumber: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    SvOperators: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    SvPackage: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    SystemTask: {
        patterns: ({
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        } | {
            match: any;
            tokens: string[];
            push?: undefined;
        })[];
    };
    TypeDefDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    TypeReference: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: {
                        scopeName: string;
                        patterns: ({
                            match: any;
                            tokens: string[];
                            pop: string;
                            include?: undefined;
                        } | {
                            include: string;
                            match?: undefined;
                            tokens?: undefined;
                            pop?: undefined;
                        })[];
                    };
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    Whitespace: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
};
