export declare const svpreproc_grammar: {
    Main: {
        scopeName: string;
        patterns: {
            include: string;
        }[];
    };
    All: {
        patterns: ({
            match: string;
            tokens: string[];
            include?: undefined;
            pushScopes?: undefined;
            popScopes?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pushScopes?: undefined;
            popScopes?: undefined;
        } | {
            match: string;
            tokens: string[];
            pushScopes: string[];
            include?: undefined;
            popScopes?: undefined;
        } | {
            match: string;
            tokens: string[];
            popScopes: string[];
            include?: undefined;
            pushScopes?: undefined;
        })[];
    };
    Comment: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    Macro: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    Operator: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    QuotedString: {
        patterns: {
            match: string;
            tokens: string[];
            stack: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                } | {
                    match: string;
                    tokens: string[];
                    pop?: undefined;
                })[];
            };
        }[];
    };
};
export declare const svcompletion_grammar: {
    Main: {
        scopeName: string;
        patterns: {
            include: string;
        }[];
    };
    AllAllow: {
        patterns: {
            include: string;
        }[];
    };
    AttributeInstance: {
        patterns: {
            match: string;
            tokens: string[];
            stack: string;
        }[];
    };
    AttributeInstanceBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        })[];
    };
    BaseGrammar: {
        patterns: {
            include: string;
        }[];
    };
    BeginEndBlock: {
        patterns: ({
            match: any;
            tokens: string[];
            pushScopes: string[];
            popScopes?: undefined;
        } | {
            match: any;
            tokens: string[];
            popScopes: string[];
            pushScopes?: undefined;
        })[];
    };
    CaseStatement: {
        patterns: ({
            match: any;
            tokens: string[];
            pushScopes: string[];
            popScopes?: undefined;
        } | {
            match: any;
            tokens: string[];
            popScopes: string[];
            pushScopes?: undefined;
        })[];
    };
    Comment: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    CompletionItems: {
        patterns: {
            include: string;
        }[];
    };
    ContinuousBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    ContinuousBlockBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    Dimension: {
        patterns: {
            match: string;
            tokens: string[];
            stack: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    EnumDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    EnumListBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop?: undefined;
            include?: undefined;
        })[];
    };
    ExportDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    match: string;
                    tokens: string[];
                    pop?: undefined;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    GeneralBracesBlock: {
        patterns: {
            match: string;
            tokens: string[];
            stack: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    GeneralParanthesesBlock: {
        patterns: {
            match: string;
            tokens: string[];
            stack: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    GenerateBlock: {
        patterns: ({
            match: any;
            tokens: string[];
            pushScopes: string[];
            popScopes?: undefined;
        } | {
            match: any;
            tokens: string[];
            popScopes: string[];
            pushScopes?: undefined;
        })[];
    };
    Identifier: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    IgnoreBlocksStatements: {
        patterns: {
            include: string;
        }[];
    };
    IgnoreCheckerDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreClassDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreCoverGroupDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreDefparamStatement: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreExternConstraintDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: {
                        scopeName: string;
                        patterns: ({
                            match: string;
                            tokens: string[];
                            pop: string;
                            include?: undefined;
                        } | {
                            include: string;
                            match?: undefined;
                            tokens?: undefined;
                            pop?: undefined;
                        })[];
                    };
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreLetStatement: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnorePropertyDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreSequenceDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreSpecifyBlock: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IgnoreSpecparamDeclaration: {
        patterns: {
            match: string;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    ImportDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    match: string;
                    tokens: string[];
                    pop?: undefined;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    Macro: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    ModPortDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    ParameterDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    ParameterDeclarationBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    ParameterPortList: {
        patterns: {
            match: string;
            tokens: string[];
            push: string;
        }[];
    };
    ParameterPortListBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop?: undefined;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    PortDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: string;
        }[];
    };
    PortDeclarationBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop?: undefined;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    PortList: {
        patterns: {
            match: string;
            tokens: string[];
            push: string;
        }[];
    };
    PortListBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop?: undefined;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    QuotedString: {
        patterns: {
            match: string;
            tokens: string[];
            stack: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                } | {
                    match: string;
                    tokens: string[];
                    pop?: undefined;
                })[];
            };
        }[];
    };
    RoutineDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    SeqBeginEndBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    SeqCaseStatement: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string[];
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    SeqConditionalStatement: {
        patterns: ({
            include: string;
            match?: undefined;
            tokens?: undefined;
            bank?: undefined;
        } | {
            match: any;
            tokens: string[];
            bank: {
                scopeName: string;
                conditionalPopContext: {
                    scopeName: string;
                    patterns: {
                        match: string;
                        tokens: string[];
                        pop: {
                            scopeName: string;
                            patterns: {
                                include: string;
                            }[];
                        };
                    }[];
                };
                patterns: {
                    include: string;
                }[];
            };
            include?: undefined;
        })[];
    };
    SequentialBlock: {
        patterns: {
            match: any;
            tokens: string[];
            bank: {
                scopeName: string;
                patterns: {
                    include: string;
                }[];
            };
        }[];
    };
    StructUnionDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    StructUnionMemberListBody: {
        scopeName: string;
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
            include?: undefined;
        } | {
            match: string;
            tokens: string[];
            pop?: undefined;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    SvContainer: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    SvNumber: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    SvOperators: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
    SvPackage: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    SvStatement: {
        patterns: ({
            match: string;
            tokens: string[];
            pop: string;
            include?: undefined;
        } | {
            include: string;
            match?: undefined;
            tokens?: undefined;
            pop?: undefined;
        })[];
    };
    SystemTask: {
        patterns: ({
            match: string;
            tokens: string[];
            stack: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        } | {
            match: string;
            tokens: string[];
            stack?: undefined;
        })[];
    };
    TypeDefDeclaration: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: string;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    UniquePriority: {
        patterns: {
            match: any;
            tokens: string[];
        }[];
    };
    Whitespace: {
        patterns: {
            match: string;
            tokens: string[];
        }[];
    };
};
